#
# Please submit bugfixes or comments via http://bugs.links2linux.org/
#

Name:           gmpc-libnotify
Version:        0.20.0
Release:        3.7
License:        GPL
Summary:        Gmpc Libnotify Plugin
Url:            http://gmpcwiki.sarine.nl
Group:          Productivity/Multimedia/Sound/Utilities
Source0:        http://download.sarine.nl/download/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
Patch0:         libnotify-0.7-fix.patch
BuildRequires:  gmpc-devel
BuildRequires:  pkgconfig(libnotify)
Requires:       gmpc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gnome Music Player Client Plugin
This plugin displays notifications using libnotify.

%prep
%setup -q

%if 0%{?suse_version} > 1140
%patch0 -p0
%endif

%build
sed -i -e "s|/lib/|/%{_lib}/|g" src/Makefile.in src/Makefile.am
%configure
make %{?_smp_mflags}

%install
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/libnotifyplugin.la
%{_libdir}/gmpc/plugins/libnotifyplugin.so

%changelog
* Sun May  6 2012 fisiu@opensuse.org
- add libnotify-0.7-fix.patch
- spec-cleaner'ed spec file
- moved changelog into .changes file
* Sun Jun 27 2010 detlef@links2linux.de
- new upstream version <0.20.0>
* Wed Sep 23 2009 detlef@links2linux.de
- new upstream version <0.19.0>
* Tue Mar 10 2009 detlef@links2linux.de
- new upstream version <0.18.0>
* Sun Dec 28 2008 detlef@links2linux.de
- new upstream version <0.17.0>
* Mon Sep 22 2008 detlef@links2linux.de
- new upstream version <0.16.0>
* Tue Dec 18 2007 detlef@links2linux.de
- initial build for packman <0.15.5.0>
